Vielen dank an alle Entwickler von . Durch eure merkwürdigen Sicherheitsüberlegungen bezüglich des include_path in der Version 5.2.6 hab ich stundenlang nach einem Fehler gesucht den ihr eingebaut habt. Irgendein schlauer Entwickler hat sich nämlich überlegt dass etwas was alle Benutzer als Feature ansehen und als solches benutzen eigentlich ein Bug ist. Eigentlich war es so vorgesehen, dass man mit der Funktion ini_set oder set_include_path den include_path ändern kann. Doch für den Fall dass der include_path schon gesetzt ist soll er nicht geändert werden dürfen. Was zwar ziemlich unsinnig ist weil dann das ergänzen des include_path wie es viele PHP-Skripte tun keinen Sinn macht. Außerdem gibt es auch die Option disable_functions mit der man das ändern des include_path zu Sicherheitszwecken unterbinden könnte. Doch wie das so ist, da hat sich einfach niemand informiert und aus einem Feature ein Bug gemacht, den Bug gefixt und die Skripte dem Fatal Error ausgeliefert. Ergebnis ist dann das ich stundenlang nach einem Fehler suchen darf den andere mit untergeschoben haben.